Bug 810423 - support for .rdp configuration files
support for .rdp configuration files
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jon Disnard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 23:03 EDT by Jeff
Modified: 2015-02-17 09:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 09:12:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python script to parse rdp fles (1.79 KB, application/octet-stream)
2012-04-05 23:03 EDT, Jeff
no flags Details
desktop launcher (266 bytes, application/x-desktop)
2012-04-05 23:06 EDT, Jeff
no flags Details
mime type for rdp files (236 bytes, text/xml)
2012-04-05 23:07 EDT, Jeff
no flags Details

  None (edit)
Description Jeff 2012-04-05 23:03:38 EDT
Created attachment 575594 [details]
python script to parse rdp fles

Description of problem:
rdesktop doesn't appear to have a way to use .rdp configuration files

Version-Release number of selected component (if applicable):
I'm using rdesktop-1.7.0-1.fc15.x86_64

How reproducible:
rdesktop somerdpfile.rdp

  
Actual results:
Host not found

Expected results:
connect to host specified in file with settings specified in file

Additional info:
This is really useful when associated with a rdp mime-type so that rdp files from virtual host services can be opened automatically.  I made a script to parse .rdp a few years ago, and just created a mime-type so that it works in gnome 3 (I didn't need the functionality in gnome 3 until recently, so didn't do it earlier)
Comment 1 Jeff 2012-04-05 23:06:13 EDT
Created attachment 575595 [details]
desktop launcher

This calls rdp_plugin, which is just a one line script to default to the correct resolution for my laptop
rdp_tool -g 1366x768 "$1"
Comment 2 Jeff 2012-04-05 23:07:10 EDT
Created attachment 575596 [details]
mime type for rdp files

define an rdp mime type so that the files can be associate with the rdp_tool script
Comment 3 Fedora End Of Life 2013-04-03 13:31:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 12:06:18 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 09:12:42 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.